RM(1)

NAMN
rm — ta bort filer eller kataloger

SYNOPSIS
rm [FLAGGA]... [FIL]...

BESKRIVNING
Denna manualsida dokumenterar GNU-versionen av rm. rm tar bort varje angiven fil. Som standard tar den inte bort kataloger.

Om flaggan -I eller --interactive=once anges, och det finns mer än tre filer eller -r, -R eller --recursive anges, då frågar rm användaren huruvida den skall fortsätta med hela åtgärden. Om svaret inte bekräftar avbryts hela kommandot.

Annars, om en fil inte är skrivbar, standard in är en terminal, och flaggan -f eller --force inte anges, eller flaggan -i eller --interactive=always anges, då frågar rm användaren huruvida filen skall tas bort. Om svaret inte bekräftar hoppas den filen över.

FLAGGOR

Ta bort (avlänka) FIL(en/erna).

-f, --force
    Ignorera ej existerande filer och argument, fråga aldrig.

-i  Fråga före varje borttagning.

-I  Fråga en gång före mer än tre filer tas bort, eller vid rekursiv borttagning; mindre påträngande än -i, men skyddar ändå mot de flesta misstag.

--interactive[=NÄR]
    Fråga enligt NÄR: never, once (-I), eller always (-i); utan NÄR, fråga alltid.

--one-file-system
    När en hierarki tas bort rekursivt, hoppa över eventuella kataloger som ligger på andra filsystem än motsvarande kommandoradsargument gör.

--no-preserve-root
    Behandla inte ”/” speciellt.

--preserve-root[=all]
    Ta inte bort ”/” (normalfall); med ”all”, avvisa alla kommandoradsargument på en annan enhet än sin förälder.

-r, -R, --recursive
    Ta bort kataloger och deras innehåll rekursivt.

-d, --dir
    Ta bort tomma kataloger.

-v, --verbose
    Berätta vad som görs.

--help
    visa denna hjälp och avsluta

--version
    visa versionsinformation och avsluta

Som standard tar rm inte bort kataloger. Använd flaggan --recursive (-r eller -R) för att ta bort varje uppräknad katalog också, tillsammans med hela dess innehåll.

För att ta bort filer vars namn börjar med ”-”, till exempel ”-apa”, använder du ett av dessa kommandon:

    rm -- -apa

    rm ./-apa

Observera att om du använder rm för att ta bort en fil kan det vara möjligt att ta reda på en del av dess innehåll, givet tillräckligt med expertis och/eller tid. För större visshet om att innehållet verkligen är borta, överväg att använda shred(1).

UPPHOVSMAN
Skrivet av Paul Rubin, David MacKenzie, Richard M. Stallman och Jim Meyering.

RAPPORTERA FEL
GNU coreutils hjälp på nätet: <https://www.gnu.org/software/coreutils/>
Rapportera anmärkningar på översättningen till <tp-sv@listor.tp-sv.se>

COPYRIGHT
Copyright © 2022 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller senare <https://gnu.org/licenses/gpl.html>.
Detta är fri programvara: du får fritt ändra och vidaredistribuera den. Det finns INGEN GARANTI, så långt lagen tillåter.

SE ÄVEN
unlink(1), unlink(2), chattr(1), shred(1)

Fullständig dokumentation <https://www.gnu.org/software/coreutils/rm>
eller tillgängligt lokalt via: info '(coreutils) rm invocation'

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.